Bug 975482 - Unable register consumer when using ws security
Unable register consumer when using ws security
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ER03
: 6.1.0
Assigned To: Default User
vramik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-18 10:46 EDT by vramik
Modified: 2013-11-07 09:24 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-07 09:24:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
wssec (78.29 KB, text/plain)
2013-06-19 04:43 EDT, vramik
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GTNPORTAL-3133 Major Resolved CNFE when attempting to register a consumer with WSS activated 2013-08-09 10:34:30 EDT

  None (edit)
Description vramik 2013-06-18 10:46:10 EDT
Description of problem:
I get java.lang.ClassNotFoundException: org.gatein.wsrp.examples.TestCallbackHandler when I try to register consumer. 

I've followed https://docs.jboss.org/author/display/GTNPORTAL36/Securing+WSRP#SecuringWSRP-SampleConfigurationSecuringtheEndpointsusingEncryptionandSigning

There is link to log: https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EPP/view/EPP/view/6.1/view/WS-Security/job/epp6_ui_selenium_tests_ws_security_encr_sign_username/56/consoleText
Comment 1 claprun 2013-06-18 11:57:15 EDT
Can you provide more details on how to reproduce the issue, please?
Comment 2 vramik 2013-06-19 04:42:13 EDT
Hi Chris,

there are my steps:

1. configure keystores using: http://git.app.eng.bos.redhat.com/?p=jbossqe/epp-tools.git;a=blob;f=config-tool/src/main/sh/gatein/wssec/generate_keystores.sh;h=3c60c2959e4d703cb9429aa5a242b076e8e26eb3;hb=HEAD

2. rm -rf $PRODUCER/standalone/configuration/gatein/wsrp/cxf/ws-security/producer/*

3. unzip http://git.app.eng.bos.redhat.com/?p=jbossqe/epp-tools.git;a=blob;f=config-tool/src/main/resources/wssec_resources/producer_encr_sign_username.zip;h=ba28407a6ac924fb17923debab73f5c823bbe9c7;hb=HEAD to $PRODUCER/standalone/configuration/gatein/wsrp/cxf/ws-security/producer/

4. mv producer.jks to $PRODUCER/standalone/configuration/gatein/wsrp/cxf/ws-security/producer/

5. cp http://git.app.eng.bos.redhat.com/?p=jbossqe/epp-tools.git;a=blob;f=config-tool/src/main/resources/wssec_resources/wsrp-wss-callback-example-2.2.8.Final.jar;h=ba6e5cb06bb86f0052de8e26b657d4169ab43be1;hb=HEAD to $PRODUCER/gatein/extensions

6. rm -rf $CONSUMER/standalone/configuration/gatein/wsrp/cxf/ws-security/consumer/*

7. unzip http://git.app.eng.bos.redhat.com/?p=jbossqe/epp-tools.git;a=blob;f=config-tool/src/main/resources/wssec_resources/consumer_encr_sign_username.zip;h=3052134662b6e8c92ba368debd75281534aa1a76;hb=HEAD to $CONSUMER/standalone/configuration/gatein/wsrp/cxf/ws-security/consumer/

8. mv consumer.jks to $PRODUCER/standalone/configuration/gatein/wsrp/cxf/ws-security/consumer/

9. cp http://git.app.eng.bos.redhat.com/?p=jbossqe/epp-tools.git;a=blob;f=config-tool/src/main/resources/wssec_resources/wsrp-wss-callback-example-2.2.8.Final.jar;h=ba6e5cb06bb86f0052de8e26b657d4169ab43be1;hb=HEAD to $CONSUMER/gatein/extensions

10. start producer and consumer (I use different set of ports: -Djboss.socket.binding.port-offset=100)

11. open consumer, sign in, go to WSRP admin portlet

12. try to register consumer with WS-Security checkbox checked

I get following Error in ui: https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EPP/view/EPP/view/6.1/view/WS-Security/job/epp6_ui_selenium_tests_ws_security_encr_sign_username/56/artifact/epp-tests/wsrp-ui-tests/target/screenshots/F_test_WSSEC_TestCase_01_UserNameTokensWithUserPropagation-0.png

And I'm attaching stacktrace.
Comment 3 vramik 2013-06-19 04:43:15 EDT
Created attachment 762790 [details]
wssec
Comment 4 claprun 2013-06-20 07:54:01 EDT
Thank you. Note that to get the zip files, you need to reference the raw version, not the blob one. I've made some changes, checking now if they address the issue.
Comment 6 vramik 2013-07-08 09:10:57 EDT
Target milestone is ER03 so I'm changing status to modified
Comment 7 vramik 2013-08-08 09:49:15 EDT
I've verified it is possible to register consumer in ER03.

Note You need to log in before you can comment on or make changes to this bug.